# cvsid: $Id: Makefile.sample,v 1.7.2.2 2006/01/10 10:35:47 rjs Exp $
#
# sample Makefile for PDFlib applications
# This may have to be changed for your build environment

CFLAGS	= -I./include
LDFLAGS	= -L./lib
LDLIBS	= -lpdf -lm
LOADLIBES= -lpdf -lm
RM	= rm -f

# use the following for Mac OS X...
#LDLIBS	= -lpdf -lm -framework ApplicationServices

# ...and make sure to set the search path for dynamic libraries, e.g.
# (in the shell) unless you already installed PDFlib in the system:

#DYLD_LIBRARY_PATH=./lib make test

PROGS	= \
	hello \
	image \
	chartab \
	pdfclock \
	invoice \
	businesscard \
	quickreference

all: $(PROGS)

test: $(PROGS)
	-./hello
	-./image
	-./chartab
	-./pdfclock
	-./invoice
	-./businesscard
	-./quickreference

clean:
	$(RM) $(PROGS) *.pdf *.o
